local addonName, at = ...
local core = at.core

core:AddCallback('Initialize', 'combat', function(self, ...)
	local tab = {}

	-- no growth direction this time... it just seems like too much for a simple feature and detracts from the idea of the addon.
	tab.enabled = true
	tab.anchor = 'CENTER'
	tab.relative = 'TOPRIGHT'
	tab.x = 0
	tab.y = 0
	tab.width = 12
	tab.height = 16
	tab.scale = 1
	
	self.db.cp = tab
end)
core:AddCallback('VariablesLoaded', 'combopoints', function(self, frame)
	
end)


core:AddCallback('Toggle', 'combat', function(self, ...)
	local state = 'RemoveCallback'
	local reg = 'UnregisterEvent'
	if self.db.combat.enabled then
		state = 'AddCallback'
		ref = 'RegisterEvent'
	end
	
	self[state](self, 'NameplateOnHide', 'combatindicator', function(self, frame, hastarget)
		self.plates[frame].combat:Hide()
	end)

	self[state](self, 'NameplateOnTargetUpdate', 'combatindicator', function(self, frame)
		self.plates[frame].combat:SetShown(UnitAffectingCombat('mouseover'))
	end)

	self[state](self, 'NameplateOnMouseover', 'combatindicator', function(self, frame)
		self.plates[frame].combat:SetShown(UnitAffectingCombat('mouseover'))
	end)
	
end)

core:AddCallback('NameplateAdded', 'combatindicator', function(self, frame, hp, threat, overlay, name)
	local f = CreateFrame('Frame', nil, frame)
	f:SetSize(25,25)
	f:SetPoint('RIGHT', frame, 'LEFT')
	
	local texture = f:CreateTexture()
	texture:SetAllPoints()
	texture:SetTexture("Interface\CharacterFrame\UI-StateIcon")
	texture:SetTexture("Interface\\Icons\\ABILITY_DUALWIELD")
	--texture:SetTexCoords()
	--left="0.5" right="1.0" top="0" bottom="0.5"
	f:Hide()
	
	self.plates[frame].combat = f
end)
